Перейти к основному содержанию
POST
/
sora
/
videos
Sora Videos
curl --request POST \
  --url https://api.acedata.cloud/sora/videos \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "2.0",
  "prompt": "cat running on the river",
  "duration": 10,
  "orientation": "landscape",
  "size": "small",
  "character_url": "https://cdn.acedata.cloud/pdidf5.mp4",
  "character_start": 123,
  "character_end": 123,
  "image_urls": [
    "<string>"
  ],
  "callback_url": "<string>"
}
'
{
  "data": [
    {
      "id": "75d8e08f-b25f-450e-9496-7b52e393098b",
      "lyric": "[Verse]\nSleigh bells ringin', choirs singin'\nSnowflakes fallin', presents glistenin' (glistenin')\nIn the air, there's a feeling of joy\nSpreadin' love to every girl and boy\n[Verse 2]\nCandles glowin', fire cracklin'\nStockings hangin', children wrappin'\nWith a smile, they unwrap their surprise\nIn their hearts, the magic never dies\n[Chorus]\nJingle all the way (jingle all the way)\nIn the winter wonderland, we play (oh-oh)\nHear the carols echo through the night (echo through the night)\nMerry Christmas, oh what a delight (oh-oh-oh)",
      "model": "chirp-v3",
      "style": "pop upbeat",
      "title": "Jingle All the Way",
      "prompt": "a christmas song",
      "audio_url": "https://audiopipe.suno.ai/?item_id=75d8e08f-b25f-450e-9496-7b52e393098b",
      "image_url": "https://cdn1.suno.ai/image_75d8e08f-b25f-450e-9496-7b52e393098b.png",
      "video_url": "",
      "created_at": "2024-04-03T11:54:30.424Z"
    },
    {
      "id": "e639fefd-bbd3-4858-b16d-45e7d4aa9313",
      "lyric": "[Verse]\nSleigh bells ringin', choirs singin'\nSnowflakes fallin', presents glistenin' (glistenin')\nIn the air, there's a feeling of joy\nSpreadin' love to every girl and boy\n[Verse 2]\nCandles glowin', fire cracklin'\nStockings hangin', children wrappin'\nWith a smile, they unwrap their surprise\nIn their hearts, the magic never dies\n[Chorus]\nJingle all the way (jingle all the way)\nIn the winter wonderland, we play (oh-oh)\nHear the carols echo through the night (echo through the night)\nMerry Christmas, oh what a delight (oh-oh-oh)",
      "model": "chirp-v3",
      "style": "pop upbeat",
      "title": "Jingle All the Way",
      "prompt": "a christmas song",
      "audio_url": "https://audiopipe.suno.ai/?item_id=e639fefd-bbd3-4858-b16d-45e7d4aa9313",
      "image_url": "https://cdn1.suno.ai/image_e639fefd-bbd3-4858-b16d-45e7d4aa9313.png",
      "video_url": "",
      "created_at": "2024-04-03T11:54:30.424Z"
    }
  ],
  "success": true
}

Авторизации

Authorization
string
header
обязательно

Заголовки

accept
enum<string>

Specifies the format of the response from the server. If not specified, the default format is application/json. If application/x-ndjson is specified, the response will be in newline-delimited JSON format, streaming the response chunk by chunk

Доступные опции:
application/json,
application/x-ndjson

Тело

application/json
model
enum<string>
обязательно

The model used to generate the videos

Доступные опции:
sora-2,
sora-2-pro
Пример:

"2.0"

prompt
string
обязательно

The prompt which used to generate the video.

Пример:

"cat running on the river"

duration
enum<number>

The duration of the generated video.

Доступные опции:
10,
15,
25
orientation
enum<string>

The direction for generating videos includes both landscape and portrait formats.

Доступные опции:
landscape,
portrait
size
enum<string>

The clarity of the generated video.

Доступные опции:
small,
large
character_url
string

Create the video link required for the character. Please note that real people must not appear in the video; otherwise, it will fail.

Пример:

"https://cdn.acedata.cloud/pdidf5.mp4"

character_start
number

The starting range of seconds for the appearance of video characters

character_end
number

The ending range of seconds for the appearance of video characters

image_urls
string[]

An array of reference image links when generating videos.

callback_url
string

The callback URL which will be called when the video is generated

Ответ

OK, the request is successful.

data
object

The output music items generated from the prompt

success
boolean

The flag indicates the request is successful or not